PHP Manual
Prev |  | Next

# PDOStatement->errorCode()

(no version information, might be only in CVS)

PDOStatement->errorCode() -- Fetch the SQLSTATE associated with the last operation on the statement handle

## Description

class PDOStatement {
string errorCode ( void )
}

## Return Values

Identical to PDO->errorCode(), except that PDOStatement->errorCode() only retrieves error codes for operations performed with PDOStatement objects.

## Examples

Example 1. Retrieving a SQLSTATE code

`<?php /* Provoke an error -- the BONES table does not exist */ $err = $dbh->prepare('SELECT skull FROM bones'); $err->execute(); echo "\nPDOStatement::errorCode(): "; print $err->errorCode(); ?>`

The above example will output:

    PDOStatement::errorCode(): 42S02

## See Also

PDO->errorCode()
PDO->errorInfo()
PDOStatement->errorInfo()

Prev | Home | Next
PDOStatement->columnCount() | Up | PDOStatement->errorInfo()